apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "hifive.fullname" . }}-test-connection"
  labels:
{{ include "hifive.labels" . | indent 4 }}
  annotations:
    "helm.sh/hook": test-success
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args:  ['{{ include "hifive.fullname" . }}:{{ .Values.service.port }}']
  restartPolicy: Never
